IonCube and Zend extensions for PHP 5.5

cPanel plugin for php selection
Post Reply
Anthony
Posts: 1
Joined: Fri May 01, 2015 3:26 pm

IonCube and Zend extensions for PHP 5.5

Post by Anthony »

We have added the support for IonCube and Zend extensions for PHP 5.5 in the extension management script. You can now download the installer script to the server and run it. It will add IonCube and Zend support to PHP 5.2, 5.3, 5.4 and 5.5 ( only for PHP versions installed by ntPHPSelector ).


Anthony N
Product Specialist

Sagarmoy
Posts: 0
Joined: Tue Jun 09, 2015 5:01 pm

Re: IonCube and Zend extensions for PHP 5.5

Post by Sagarmoy »

Hi
I have installed the latest version from
https://www.nixtree.com/ntphp.php

my default is php 5.3
but when i select 5.4 its give error
Site error: the file /home/.... ..... requires the ionCube PHP Loader ioncube_loader_lin_5.4.so to be installed by the website operator. If you are the website operator please use the ionCube Loader Wizard to assist with installation.



Anthony
Posts: 1
Joined: Fri May 01, 2015 3:26 pm

Re: IonCube and Zend extensions for PHP 5.5

Post by Anthony »

Please do the following steps and it should fix the problem.

#cd /usr/local/src
#wget http://nixtree.com/download/free/ntphpextension.sh
#sh ntphpextension.sh
# /scripts/restartsrv http

Please et us know if the issue persist even after executing above commands.



halimzhz
Posts: 0
Joined: Wed Sep 02, 2015 5:09 pm

Re: IonCube and Zend extensions for PHP 5.5

Post by halimzhz »

Due to error on 5.4 as a default to anybody, i change on ntphpselector for public_html the php 5.3 and the user page is blank but on apache error log showing:

[Wed Sep 02 19:28:06 2015] [error] [client 202.71.109.5] Failed loading /usr/local/IonCube/ioncube_loader_lin_5.4.so: /usr/local/IonCube/ioncube_loader_lin_5.4.so: undefined symbol: zend_do_implement_trait
[Wed Sep 02 19:28:06 2015] [error] [client 202.71.109.5] Failed loading /usr/local/Zend/lib/Guard-6.0.0/php-5.4.x/ZendGuardLoader.so: /usr/local/Zend/lib/Guard-6.0.0/php-5.4.x/ZendGuardLoader.so: undefined symbol: zend_new_interned_string

Please help. TQ



steve
Site Admin
Posts: 5
Joined: Tue Mar 10, 2015 12:41 am
Contact:

Re: IonCube and Zend extensions for PHP 5.5

Post by steve »

Hello,

May be you are using any custom php.ini, which has reference to the ioncube for 5.4. Please remove php.ini and try the same.


-
Steve N
Support Staff
Nixtree Solutions LLP
cPanel Server management | Managed Backup Solutions | Outsourced Web Hosting support

halimzhz
Posts: 0
Joined: Wed Sep 02, 2015 5:09 pm

Re: IonCube and Zend extensions for PHP 5.5

Post by halimzhz »

Dear Sir,

Yes, i think so, that because for security reason and i didnt allow any user to make their own php.ini, for that i put this on pre_virtualhost_global.conf:

<IfModule mod_suphp.c>
<Location />
suPHP_ConfigPath /usr/local/lib
</Location>
</IfModule>

Any idea for this sir? Thanks for help.



steve
Site Admin
Posts: 5
Joined: Tue Mar 10, 2015 12:41 am
Contact:

Re: IonCube and Zend extensions for PHP 5.5

Post by steve »

Hello,

Following are the respective php.ini for the custom php's used by ntphp.

/opt/ntphp/php52/lib/php.ini
/opt/ntphp/php53/lib/php.ini
/opt/ntphp/php54/lib/php.ini
/opt/ntphp/php55/lib/php.ini

Note: Default version use the default php.

You need to remove the mentioned restriction or add corresponding rules to make ntphp work.


-
Steve N
Support Staff
Nixtree Solutions LLP
cPanel Server management | Managed Backup Solutions | Outsourced Web Hosting support

halimzhz
Posts: 0
Joined: Wed Sep 02, 2015 5:09 pm

Re: IonCube and Zend extensions for PHP 5.5

Post by halimzhz »

Dear Sir,

Can I ask some of customization for the script? For example when user select the PHP version, it will automatically modify the httpd.conf on part of /usr/local/apache/conf/userdata/std/2/username/anyname.php, i'm looking to something we can chat and talk about this matter.

Please advice. TQ



steve
Site Admin
Posts: 5
Joined: Tue Mar 10, 2015 12:41 am
Contact:

Re: IonCube and Zend extensions for PHP 5.5

Post by steve »

Hello,

There is no changes in the httpd.conf or its include while selecting php. It add/remove Addhandler entries in .htaccess only.


-
Steve N
Support Staff
Nixtree Solutions LLP
cPanel Server management | Managed Backup Solutions | Outsourced Web Hosting support

Post Reply